/* eslint-disable */

let boardsFrameSrc = "boards.huddo";
let communitiesFrameContainer = "#iframeWrapper";
let huddoBoardsFrame = null;

function loadCode() { 

    if(typeof(dojo) != "undefined") {
        require(["dojo/domReady!"], function(){
            try {
                // utility function to let us wait for a specific element of the page to load...
                var waitFor = function(callback, elXpath, elXpathRoot, maxInter, waitTime) {
                    if(!elXpathRoot) var elXpathRoot = dojo.body();
                    if(!maxInter) var maxInter = 10000;  // number of intervals before expiring
                    if(!waitTime) var waitTime = 1;  // 1000=1 second
                    if(!elXpath) return;
                    var waitInter = 0;  // current interval
                    var intId = setInterval( function(){
                        if( ++waitInter<maxInter && !dojo.query(elXpath,elXpathRoot).length) return;

                        
                        if( waitInter >= maxInter) { 
                            clearInterval(intId);
                            console.log("**** WAITFOR ["+elXpath+"] WATCH EXPIRED!!! interval "+waitInter+" (max:"+maxInter+")");
                        } else {
                            console.log("**** WAITFOR ["+elXpath+"] WATCH TRIPPED AT interval "+waitInter+" (max:"+maxInter+")");
                            for (iframe of document.getElementsByTagName('iframe'))
                            {
                                if(iframe.src.includes(boardsFrameSrc))
                                {
									if(iframe.hasAttribute('sandbox'))
            						{
									   if(!iframe.sandbox.value.includes('allow-downloads'))
									   {
											clearInterval(intId);
											huddoBoardsFrame = iframe;
											callback();
									   }
									}
                                }
                            }
                        }
                    }, waitTime);
                };

                // here we use waitFor to wait on the communitiesFrameContainer element before we proceed to customize the page...
                waitFor( function(){
                    addAllowDownload();
                    }, communitiesFrameContainer);
        } catch(e) {
            console.log("Exception occurred in Huddo Boards iFrame-sandbox-download: " + e);
        }
    });
    }
}

function addAllowDownload() {
    huddoBoardsFrame.sandbox.add('allow-downloads');
    huddoBoardsFrame.src = huddoBoardsFrame.src;
}

window.onpopstate = function(event) {
    loadCode();
}

loadCode();